ここでは、BOM(部品表)2サンプルを作成する際のポイントを紹介します。
BOM(部品表)2の詳細
BOM(部品表)2サンプルでは、次のコントロールを利用してそれぞれのデータを可視化しています。
FlexGridおよびTreeViewによりデータの可視化します。
TreeViewでは、selectedItemChangedイベントを利用して、選択されているツリーのアイテムとデータを持つグリッドの行を選択するようにしています。
AutoCompleteを利用して、TreeView内のアイテム検索します。
AutoCompleteのselectedIndexChangedイベントを利用して、AutoCompleteの選択項目に合わせて、TreeViewの選択項目も連動するようにしています。
FlexGridFilterを利用して、Excelライクな検索を提供します。
import 'bootstrap.css';
import '@mescius/wijmo.styles/wijmo.css';
import './styles.css';
import * as wjNav from '@mescius/wijmo.nav';
import * as wjGrid from '@mescius/wijmo.grid';
import * as wjInput from '@mescius/wijmo.input';
import { getData, getGridData } from './data';
import '@mescius/wijmo.cultures/wijmo.culture.ja';
import { FlexGrid } from '@mescius/wijmo.grid';
import { FlexGridFilter } from '@mescius/wijmo.grid.filter';
//
document.readyState === 'complete' ? init() : window.onload = init;
//
function init() {
class searchItem {
}
// grid with selectable columns
let flexGrid = new FlexGrid('#theGrid', {
autoGenerateColumns: false,
columns: [
{ binding: 'productCode', width: 110, header: '商品コード', isReadOnly: true },
{ binding: 'name', width: 100, header: '名称' },
{ binding: 'category', width: 60, header: '区分' },
{ binding: 'quantity', width: 80, header: '発注数' },
{ binding: 'unitPrice', width: 80, header: '単価', format: 'c' },
{ binding: 'supplier', width: 150, header: 'サプライヤ' },
{ binding: 'date', width: 100, header: '発注日' },
{ binding: 'others', width: 100, header: '備考' },
],
itemsSource: getGridData(),
});
// ツリーコントロールの作成
let tree = new wjNav.TreeView('#theTree', {
itemsSource: getData(),
displayMemberPath: 'header',
childItemsPath: 'items',
selectedItemChanged: function (s, e) {
if (document.getElementById('cb').checked) {
let rowIndex = flexGrid.rows.findIndex((row) => row.dataItem.productCode === s.selectedItem.productCode);
if (rowIndex > -1) {
flexGrid.select(new wjGrid.CellRange(rowIndex, 0, rowIndex, flexGrid.columns.length), true);
}
}
},
autoCollapse: false,
imageMemberPath: 'img'
});
flexGrid.formatItem.addHandler(function (s, e) {
if (e.panel == s.rowHeaders) {
e.cell.innerHTML = '<div >' +
(e.row + 1) + '</div>';
}
});
let search = new wjInput.AutoComplete('#search', {
itemsSource: getSearchList(tree.itemsSource),
selectedIndex: -1,
displayMemberPath: 'path',
searchMemberPath: 'keywords',
selectedIndexChanged: function (s) {
if (s.selectedItem) {
tree.selectedItem = s.selectedItem.item;
}
}
});
let filter = new FlexGridFilter(flexGrid);
function getSearchList(items, searchList, path) {
// set defaults
if (searchList == null)
searchList = [];
if (path == null)
path = '';
// add items and sub-items
for (var i = 0; i < items.length; i++) {
var item = items[i];
searchList.push({
item: item,
path: path + item.header,
keywords: item.keywords
});
if (item.items) {
getSearchList(item.items, searchList, path + item.header + '/');
}
}
return searchList;
}
}
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<title>MESCIUS Wijmo BOM Example2</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<!-- SystemJS -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.21.5/system.src.js" integrity="sha512-skZbMyvYdNoZfLmiGn5ii6KmklM82rYX2uWctBhzaXPxJgiv4XBwJnFGr5k8s+6tE1pcR1nuTKghozJHyzMcoA==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
<script src="systemjs.config.js"></script>
<script>
System.import('./src/app');
</script>
</head>
<body>
<div class="container-fluid">
<div class="lists d-md-flex flex-md-wrap align-items-md-center column-gap-md-3 row-gap-2 p-3 border rounded bg-body-tertiary">
<label for="search">ツリービューの検索: </label>
<div id="search"></div>
<div class="d-inline-flex align-items-center gap-2">
<input type="checkbox" id="cb">ツリービューの選択されているデータをグリッドでも選択します。
</div>
</div>
<div class="dataList">
<div id="theTree" class="custom-tree"></div>
<div id="theGrid"></div>
</div>
<p>このデモサイトではBootstrap Iconsを利用しています。</p>
<p>Copyright (c) 2011-2024 The Bootstrap Authors</p>
<a href="https://github.com/twbs/bootstrap/blob/main/LICENSE" target="_blank" >Bootstrap Iconsのライセンス</a>
</div>
</body>
</html>
export function getData() {
let imgUrl = 'resources/';
return [
{
header: 'BicycleTypeA', img: imgUrl + 'bicycle.svg', productCode: "BTA-01", items: [
{
header: 'ボディ', productCode: "BTA-02", items: [
{ header: 'フレーム', productCode: "BTA-02-01" },
{ header: 'ハンドル', productCode: "BTA-02-02", },
],
},
{ header: 'ベル', img: imgUrl + 'bell.svg', productCode: "BTA-03" },
{ header: 'リフレクター', productCode: "BTA-04" },
{ header: 'サドル', productCode: "BTA-05" },
{
header: 'ホイール', img: imgUrl + 'gear.svg', productCode: "BTA-06", items: [
{ header: 'リム', productCode: "BTA-06-01" },
{ header: 'スポーク', productCode: "BTA-06-02" },
{ header: 'ハブ', productCode: "BTA-06-03" },
],
},
{
header: 'トランスミッション', img: imgUrl + 'tools.svg', productCode: "BTA-07", items: [
{ header: 'スプロケット', productCode: "BTA-07-01" },
{ header: 'チェーン', productCode: "BTA-07-02" },
{ header: 'シフトレバー', productCode: "BTA-07-03" },
{ header: 'シフトワイヤー', productCode: "BTA-07-04" },
],
},
{
header: 'ブレーキ', productCode: "BTA-08", items: [
{ header: 'ブレーキレバー', productCode: "BTA-08-01" },
{ header: 'ブレーキワイヤー', productCode: "BTA-08-02" }
],
},
{ header: 'ペダル', productCode: "BTA-09" },
{ header: 'スタンド', productCode: "BTA-10" },
]
},
{
header: 'BicycleTypeB', productCode: "BTB-01", img: imgUrl + 'bicycle.svg', items: [
{
header: 'ボディ', productCode: "BTB-02", items: [
{ header: 'フレーム', productCode: "BTB-02-01" },
{ header: 'ハンドル', productCode: "BTB-02-02", },
],
},
{ header: 'ベル', img: imgUrl + 'bell.svg', productCode: "BTB-03" },
{ header: 'リフレクター', productCode: "BTB-04" },
{ header: 'サドル', productCode: "BTB-05" },
{
header: 'ホイール', img: imgUrl + 'gear.svg', productCode: "BTB-06", items: [
{ header: 'リム', productCode: "BTB-06-01" },
{ header: 'スポーク', productCode: "BTB-06-02" },
{ header: 'ハブ', productCode: "BTB-06-03" },
],
},
{
header: 'トランスミッション', img: imgUrl + 'tools.svg', productCode: "BTB-07", items: [
{ header: 'スプロケット', productCode: "BTB-07-01" },
{ header: 'チェーン', productCode: "BTB-07-02" },
{ header: 'シフトレバー', productCode: "BTB-07-03" },
{ header: 'シフトワイヤー', productCode: "BTB-07-04" },
],
},
{
header: 'ブレーキ', productCode: "BTB-08", items: [
{ header: 'ブレーキレバー', productCode: "BTB-08-01" },
{ header: 'ブレーキワイヤー', productCode: "BTB-08-02" }
],
},
{ header: 'ペダル', productCode: "BTB-09" },
{ header: 'スタンド', productCode: "BTB-10" },
]
},
{
header: 'BicycleTypeC', productCode: "BTC-01", img: imgUrl + 'bicycle.svg', items: [
{
header: 'ボディ', productCode: "BTC-02", items: [
{ header: 'フレーム', productCode: "BTC-02-01" },
{ header: 'ハンドル', productCode: "BTC-02-02", },
],
},
{ header: 'ベル', img: imgUrl + 'bell.svg', productCode: "BTC-03" },
{ header: 'リフレクター', productCode: "BTC-04" },
{ header: 'サドル', productCode: "BTC-05" },
{
header: 'ホイール', img: imgUrl + 'gear.svg', productCode: "BTC-06", items: [
{ header: 'リム', productCode: "BTC-06-01" },
{ header: 'スポーク', productCode: "BTC-06-02" },
{ header: 'ハブ', productCode: "BTC-06-03" },
],
},
{
header: 'トランスミッション', img: imgUrl + 'gear.svg', productCode: "BTC-07", items: [
{ header: 'スプロケット', productCode: "BTC-07-01" },
{ header: 'チェーン', productCode: "BTC-07-02" },
{ header: 'シフトレバー', productCode: "BTC-07-03" },
{ header: 'シフトワイヤー', productCode: "BTC-07-04" },
],
},
{
header: 'ブレーキ', productCode: "BTC-08", items: [
{ header: 'ブレーキレバー', productCode: "BTC-08-01" },
{ header: 'ブレーキワイヤー', productCode: "BTC-08-02" }
],
},
{ header: 'ペダル', productCode: "BTC-09" },
{ header: 'Stand', productCode: "BTC-10" },
]
},
{
header: 'BicycleTypeAPro', productCode: "BTAP-01", img: imgUrl + 'bicycle.svg', items: [
{
header: 'ボディ', productCode: "BTAP-02", items: [
{ header: 'フレーム', productCode: "BTAP-02-01" },
{ header: 'ハンドル', productCode: "BTAP-02-02", },
],
},
{ header: 'ベル', img: imgUrl + 'bell.svg', productCode: "BTAP-03" },
{ header: 'リフレクター', productCode: "BTAP-04" },
{ header: 'サドル', productCode: "BTAP-05" },
{
header: 'ホイール', img: imgUrl + 'gear.svg', productCode: "BTAP-06", items: [
{ header: 'リム', productCode: "BTAP-06-01" },
{ header: 'スポーク', productCode: "BTAP-06-02" },
{ header: 'ハブ', productCode: "BTAP-06-03" },
],
},
{
header: 'トランスミッション', img: imgUrl + 'tools.svg', productCode: "BTAP-07", items: [
{ header: 'スプロケット', productCode: "BTAP-07-01" },
{ header: 'チェーン', productCode: "BTAP-07-02" },
{ header: 'シフトレバー', productCode: "BTAP-07-03" },
{ header: 'シフトワイヤー', productCode: "BTAP-07-04" },
],
},
{
header: 'ブレーキ', productCode: "BTAP-08", items: [
{ header: 'ブレーキレバー', productCode: "BTAP-08-01" },
{ header: 'ブレーキワイヤー', productCode: "BTAP-08-02" }
],
},
{ header: 'ペダル', productCode: "BTAP-09" },
{ header: 'スタンド', productCode: "BTAP-10" },
]
}
];
}
export function getGridData() {
return [
//BTA
{ productCode: "BTA-01", name: "BicycleTypeA", category: "プロダクト", quantity: 1, unitPrice: 35000, supplier: 'GrapeCycle Ltd.', date: new Date(), others: '承認待ち' },
{ productCode: "BTA-02", name: "ボディ", category: "パーツ", quantity: 1, unitPrice: 4500, supplier: 'シラー製作所', date: new Date(), others: '' },
{ productCode: "BTA-02-01", name: "フレーム", category: "パーツ", quantity: 1, unitPrice: 3000, supplier: 'シラー製作所', date: new Date(), others: '' },
{ productCode: "BTA-02-02", name: "ハンドル", category: "パーツ", quantity: 1, unitPrice: 1500, supplier: 'シラー製作所', date: new Date(), others: '' },
{ productCode: "BTA-03", name: "ベル", category: "パーツ", quantity: 1, unitPrice: 500, supplier: '仙台ベル工房', date: new Date(), others: '' },
{ productCode: "BTA-04", name: "リフレクター", category: "パーツ", quantity: 2, unitPrice: 500, supplier: '(株)葡萄自転車', date: new Date(), others: '' },
{ productCode: "BTA-05", name: "サドル", category: "パーツ", quantity: 1, unitPrice: 1000, supplier: '(株)葡萄自転車', date: new Date(), others: '' },
{ productCode: "BTA-06", name: "ホイール", category: "パーツ", quantity: 2, unitPrice: 3000, supplier: '', date: new Date(), others: '' },
{ productCode: "BTA-06-01", name: "リム", category: "パーツ", quantity: 2, unitPrice: 2000, supplier: '葡萄製鉄(株)', date: new Date(), others: '' },
{ productCode: "BTA-06-02", name: "スポーク", category: "パーツ", quantity: 24, unitPrice: 100, supplier: '葡萄製鉄(株)', date: new Date(), others: '' },
{ productCode: "BTA-06-03", name: "ハブ", category: "パーツ", quantity: 2, unitPrice: 600, supplier: '葡萄製鉄(株)', date: new Date(), others: '' },
{ productCode: "BTA-07", name: "トランスミッション", category: "パーツ", quantity: 1, unitPrice: 2700, supplier: '', date: new Date(), others: '' },
{ productCode: "BTA-07-01", name: "スプロケット", category: "パーツ", quantity: 8, unitPrice: 800, supplier: '葡萄製鉄(株)', date: new Date(), others: '' },
{ productCode: "BTA-07-02", name: "チェーン", category: "パーツ", quantity: 1, unitPrice: 500, supplier: '葡萄チェーン', date: new Date(), others: '' },
{ productCode: "BTA-07-03", name: "シフトレバー", category: "パーツ", quantity: 1, unitPrice: 500, supplier: '葡萄製鉄(株)', date: new Date(), others: '' },
{ productCode: "BTA-07-04", name: "シフトワイヤー", category: "パーツ", quantity: 2, unitPrice: 200, supplier: '葡萄製鉄(株)', date: new Date(), others: '' },
{ productCode: "BTA-08", name: "ブレーキ", category: "パーツ", quantity: 1, unitPrice: 1, supplier: 'Muscut Parts Thai', date: new Date(), others: '' },
{ productCode: "BTA-08-01", name: "ブレーキレバー", category: "パーツ", quantity: 2, unitPrice: 400, supplier: 'Muscut Parts Thai', date: new Date(), others: '' },
{ productCode: "BTA-08-02", name: "ブレーキワイヤー", category: "パーツ", quantity: 2, unitPrice: 200, supplier: 'Muscut Parts Thai', date: new Date(), others: '' },
{ productCode: "BTA-09", name: "ペダル", category: "パーツ", quantity: 2, unitPrice: 1000, supplier: '(株)葡萄自転車', date: new Date(), others: '' },
{ productCode: "BTA-10", name: "スタンド", category: "パーツ", quantity: 1, unitPrice: 3000, supplier: '(株)葡萄自転車', date: new Date(), others: '' },
//BTB
{ productCode: "BTB-01", name: "BicycleTypeB", category: "プロダクト", quantity: 1, unitPrice: 35000, supplier: 'GrapeCycle Ltd.', date: new Date(), others: '' },
{ productCode: "BTB-02", name: "ボディ", category: "パーツ", quantity: 4500, unitPrice: 1, supplier: 'シラー製作所', date: new Date(), others: '' },
{ productCode: "BTB-02-01", name: "フレーム", category: "パーツ", quantity: 1, unitPrice: 3000, supplier: 'シラー製作所', date: new Date(), others: '' },
{ productCode: "BTB-02-02", name: "ハンドル", category: "パーツ", quantity: 1, unitPrice: 1500, supplier: 'シラー製作所', date: new Date(), others: '' },
{ productCode: "BTB-03", name: "ベル", category: "パーツ", quantity: 1, unitPrice: 500, supplier: '仙台ベル工房', date: new Date(), others: '' },
{ productCode: "BTB-04", name: "リフレクター", category: "パーツ", quantity: 2, unitPrice: 500, supplier: '(株)葡萄自転車', date: new Date(), others: '' },
{ productCode: "BTB-05", name: "サドル", category: "パーツ", quantity: 1, unitPrice: 1000, supplier: '(株)葡萄自転車', date: new Date(), others: '' },
{ productCode: "BTB-06", name: "ホイール", category: "パーツ", quantity: 2, unitPrice: 1, supplier: '', date: new Date(), others: '' },
{ productCode: "BTB-06-01", name: "リム", category: "パーツ", quantity: 2, unitPrice: 2000, supplier: '葡萄製鉄(株)', date: new Date(), others: '' },
{ productCode: "BTB-06-02", name: "スポーク", category: "パーツ", quantity: 24, unitPrice: 100, supplier: '葡萄製鉄(株)', date: new Date(), others: '' },
{ productCode: "BTB-06-03", name: "ハブ", category: "パーツ", quantity: 2, unitPrice: 6, supplier: '葡萄製鉄(株)', date: new Date(), others: '' },
{ productCode: "BTB-07", name: "トランスミッション", category: "パーツ", quantity: 1, unitPrice: 1, supplier: '', date: new Date(), others: '' },
{ productCode: "BTB-07-01", name: "スプロケット", category: "パーツ", quantity: 8, unitPrice: 800, supplier: '葡萄製鉄(株)', date: new Date(), others: '' },
{ productCode: "BTB-07-02", name: "チェーン", category: "パーツ", quantity: 1, unitPrice: 500, supplier: '葡萄チェーン', date: new Date(), others: '' },
{ productCode: "BTB-07-03", name: "シフトレバー", category: "パーツ", quantity: 1, unitPrice: 500, supplier: '葡萄製鉄(株)', date: new Date(), others: '' },
{ productCode: "BTB-07-04", name: "シフトワイヤー", category: "パーツ", quantity: 2, unitPrice: 200, supplier: '葡萄製鉄(株)', date: new Date(), others: '' },
{ productCode: "BTB-08", name: "ブレーキ", category: "パーツ", quantity: 1, unitPrice: 1, supplier: 'Muscut Parts Thai', date: new Date(), others: '' },
{ productCode: "BTB-08-01", name: "ブレーキレバー", category: "パーツ", quantity: 2, unitPrice: 400, supplier: 'Muscut Parts Thai', date: new Date(), others: '' },
{ productCode: "BTB-08-02", name: "ブレーキワイヤー", category: "パーツ", quantity: 2, unitPrice: 200, supplier: 'Muscut Parts Thai', date: new Date(), others: '' },
{ productCode: "BTB-09", name: "ペダル", category: "パーツ", quantity: 2, unitPrice: 1000, supplier: '(株)葡萄自転車', date: new Date(), others: '' },
{ productCode: "BTB-10", name: "スタンド", category: "パーツ", quantity: 1, unitPrice: 3000, supplier: '(株)葡萄自転車', date: new Date(), others: '' },
//BTC
{ productCode: "BTC-01", name: "BicycleTypeC", category: "プロダクト", quantity: 1, unitPrice: 35000, supplier: 'GrapeCycle Ltd.', date: new Date(), others: '' },
{ productCode: "BTC-02", name: "ボディ", category: "パーツ", quantity: 1, unitPrice: 50000, supplier: 'シラー製作所', date: new Date(), others: '' },
{ productCode: "BTC-02-01", name: "フレーム", category: "パーツ", quantity: 1, unitPrice: 3000, supplier: 'シラー製作所', date: new Date(), others: '' },
{ productCode: "BTC-02-02", name: "ハンドル", category: "パーツ", quantity: 1, unitPrice: 2000, supplier: 'シラー製作所', date: new Date(), others: '' },
{ productCode: "BTC-03", name: "ベル", category: "パーツ", quantity: 1, unitPrice: 5, supplier: '仙台ベル工房', date: new Date(), others: '' },
{ productCode: "BTC-04", name: "リフレクター", category: "パーツ", quantity: 2, unitPrice: 1500, supplier: '(株)葡萄自転車', date: new Date(), others: '' },
{ productCode: "BTC-05", name: "サドル", category: "パーツ", quantity: 1, unitPrice: 1000, supplier: '(株)葡萄自転車', date: new Date(), others: '' },
{ productCode: "BTC-06", name: "ホイール", category: "パーツ", quantity: 2, unitPrice: 3000, supplier: '', date: new Date(), others: '' },
{ productCode: "BTC-06-01", name: "リム", category: "パーツ", quantity: 2, unitPrice: 2000, supplier: '葡萄製鉄(株)', date: new Date(), others: '' },
{ productCode: "BTC-06-02", name: "スポーク", category: "パーツ", quantity: 24, unitPrice: 100, supplier: '葡萄製鉄(株)', date: new Date(), others: '' },
{ productCode: "BTC-06-03", name: "ハブ", category: "パーツ", quantity: 2, unitPrice: 600, supplier: '葡萄製鉄(株)', date: new Date(), others: '' },
{ productCode: "BTC-07", name: "トランスミッション", category: "パーツ", quantity: 1, unitPrice: 6000, supplier: '', date: new Date(), others: '' },
{ productCode: "BTC-07-01", name: "スプロケット", category: "パーツ", quantity: 8, unitPrice: 800, supplier: '葡萄製鉄(株)', date: new Date(), others: '' },
{ productCode: "BTC-07-02", name: "チェーン", category: "パーツ", quantity: 1, unitPrice: 500, supplier: '葡萄チェーン', date: new Date(), others: '' },
{ productCode: "BTC-07-03", name: "シフトレバー", category: "パーツ", quantity: 1, unitPrice: 500, supplier: '葡萄製鉄(株)', date: new Date(), others: '' },
{ productCode: "BTC-07-04", name: "シフトワイヤー", category: "パーツ", quantity: 2, unitPrice: 200, supplier: '葡萄製鉄(株)', date: new Date(), others: '' },
{ productCode: "BTC-08", name: "ブレーキ", category: "パーツ", quantity: 1, unitPrice: 3200, supplier: 'Muscut Parts Thai', date: new Date(), others: '' },
{ productCode: "BTC-08-01", name: "ブレーキレバー", category: "パーツ", quantity: 2, unitPrice: 400, supplier: 'Muscut Parts Thai', date: new Date(), others: '' },
{ productCode: "BTC-08-02", name: "ブレーキワイヤー", category: "パーツ", quantity: 2, unitPrice: 200, supplier: 'Muscut Parts Thai', date: new Date(), others: '' },
{ productCode: "BTC-09", name: "ペダル", category: "パーツ", quantity: 2, unitPrice: 1000, supplier: '(株)葡萄自転車', date: new Date(), others: '' },
{ productCode: "BTC-10", name: "スタンド", category: "パーツ", quantity: 1, unitPrice: 3000, supplier: '(株)葡萄自転車', date: new Date(), others: '' },
//BTAP
{ productCode: "BTAP-01", name: "BicycleTypeAPro", category: "プロダクト", quantity: 1, unitPrice: 35000, supplier: 'GrapeCycle Ltd.', date: new Date(), others: '' },
{ productCode: "BTAP-02", name: "ボディ", category: "パーツ", quantity: 1, unitPrice: 4500, supplier: 'シラー製作所', date: new Date(), others: '' },
{ productCode: "BTAP-02-01", name: "フレーム", category: "パーツ", quantity: 1, unitPrice: 3000, supplier: 'シラー製作所', date: new Date(), others: '' },
{ productCode: "BTAP-02-02", name: "ハンドル", category: "パーツ", quantity: 1, unitPrice: 1500, supplier: 'シラー製作所', date: new Date(), others: '' },
{ productCode: "BTAP-03", name: "ベル", category: "パーツ", quantity: 1, unitPrice: 500, supplier: '仙台ベル工房', date: new Date(), others: '' },
{ productCode: "BTAP-04", name: "リフレクター", category: "パーツ", quantity: 2, unitPrice: 500, supplier: '(株)葡萄自転車', date: new Date(), others: '' },
{ productCode: "BTAP-05", name: "サドル", category: "パーツ", quantity: 1, unitPrice: 1000, supplier: '(株)葡萄自転車', date: new Date(), others: '' },
{ productCode: "BTAP-06", name: "ホイール", category: "パーツ", quantity: 2, unitPrice: 2200, supplier: '', date: new Date(), others: '' },
{ productCode: "BTAP-06-01", name: "リム", category: "パーツ", quantity: 2, unitPrice: 2000, supplier: '葡萄製鉄(株)', date: new Date(), others: '' },
{ productCode: "BTAP-06-02", name: "スポーク", category: "パーツ", quantity: 24, unitPrice: 100, supplier: '葡萄製鉄(株)', date: new Date(), others: '' },
{ productCode: "BTAP-06-03", name: "ハブ", category: "パーツ", quantity: 2, unitPrice: 600, supplier: '葡萄製鉄(株)', date: new Date(), others: '' },
{ productCode: "BTAP-07", name: "トランスミッション", category: "パーツ", quantity: 1, unitPrice: 30000, supplier: '', date: new Date(), others: '' },
{ productCode: "BTAP-07-01", name: "スプロケット", category: "パーツ", quantity: 8, unitPrice: 800, supplier: '葡萄製鉄(株)', date: new Date(), others: '' },
{ productCode: "BTAP-07-02", name: "チェーン", category: "パーツ", quantity: 1, unitPrice: 500, supplier: '葡萄チェーン', date: new Date(), others: '' },
{ productCode: "BTAP-07-03", name: "シフトレバー", category: "パーツ", quantity: 1, unitPrice: 500, supplier: '葡萄製鉄(株)', date: new Date(), others: '' },
{ productCode: "BTAP-07-04", name: "シフトワイヤー", category: "パーツ", quantity: 2, unitPrice: 200, supplier: '葡萄製鉄(株)', date: new Date(), others: '' },
{ productCode: "BTAP-08", name: "ブレーキ", category: "パーツ", quantity: 1, unitPrice: 2200, supplier: 'Muscut Parts Thai', date: new Date(), others: '' },
{ productCode: "BTAP-08-01", name: "ブレーキレバー", category: "パーツ", quantity: 2, unitPrice: 400, supplier: 'Muscut Parts Thai', date: new Date(), others: '' },
{ productCode: "BTAP-08-02", name: "ブレーキワイヤー", category: "パーツ", quantity: 2, unitPrice: 200, supplier: 'Muscut Parts Thai', date: new Date(), others: '' },
{ productCode: "BTAP-09", name: "ペダル", category: "パーツ", quantity: 2, unitPrice: 1000, supplier: '(株)葡萄自転車', date: new Date(), others: '' },
{ productCode: "BTAP-10", name: "スタンド", category: "パーツ", quantity: 1, unitPrice: 3000, supplier: '(株)葡萄自転車', date: new Date(), others: '' },
];
}
.dataList {
display: flex;
flex-direction: row;
height: 350px;
}
.msg {
text-align: right;
color: orange;
}
.wj-treeview {
width: 250px;
border: 1px solid rgba(0,0,0,0.2);
}
body {
margin-bottom: 24pt;
}
.custom-tree.wj-treeview .wj-node {
position: relative;
}
.custom-tree.wj-treeview .wj-node::after {
content: '';
position: absolute;
bottom: 0;
left: -100px;
right: -100px;
border-bottom: 1px solid #a0a0a0;
}
.wj-treeview {
width: 300px;
border: 1px solid rgba(0,0,0,0.2);
}
.wj-combobox{
width: 400px;
}
.wj-treeview .wj-node.wj-state-selected{
background: #0085c7;
color: #fff;
}
.wj-cell.wj-alt {
background: #e5f8ff;
}
(function (global) {
System.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true
},
meta: {
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'jszip': 'npm:jszip/dist/jszip.js',
'@mescius/wijmo': 'npm:@mescius/wijmo/index.js',
'@mescius/wijmo.input': 'npm:@mescius/wijmo.input/index.js',
'@mescius/wijmo.styles': 'npm:@mescius/wijmo.styles',
'@mescius/wijmo.cultures': 'npm:@mescius/wijmo.cultures',
'@mescius/wijmo.chart': 'npm:@mescius/wijmo.chart/index.js',
'@mescius/wijmo.chart.analytics': 'npm:@mescius/wijmo.chart.analytics/index.js',
'@mescius/wijmo.chart.animation': 'npm:@mescius/wijmo.chart.animation/index.js',
'@mescius/wijmo.chart.annotation': 'npm:@mescius/wijmo.chart.annotation/index.js',
'@mescius/wijmo.chart.finance': 'npm:@mescius/wijmo.chart.finance/index.js',
'@mescius/wijmo.chart.finance.analytics': 'npm:@mescius/wijmo.chart.finance.analytics/index.js',
'@mescius/wijmo.chart.hierarchical': 'npm:@mescius/wijmo.chart.hierarchical/index.js',
'@mescius/wijmo.chart.interaction': 'npm:@mescius/wijmo.chart.interaction/index.js',
'@mescius/wijmo.chart.radar': 'npm:@mescius/wijmo.chart.radar/index.js',
'@mescius/wijmo.chart.render': 'npm:@mescius/wijmo.chart.render/index.js',
'@mescius/wijmo.chart.webgl': 'npm:@mescius/wijmo.chart.webgl/index.js',
'@mescius/wijmo.chart.map': 'npm:@mescius/wijmo.chart.map/index.js',
'@mescius/wijmo.gauge': 'npm:@mescius/wijmo.gauge/index.js',
'@mescius/wijmo.grid': 'npm:@mescius/wijmo.grid/index.js',
'@mescius/wijmo.grid.detail': 'npm:@mescius/wijmo.grid.detail/index.js',
'@mescius/wijmo.grid.filter': 'npm:@mescius/wijmo.grid.filter/index.js',
'@mescius/wijmo.grid.search': 'npm:@mescius/wijmo.grid.search/index.js',
'@mescius/wijmo.grid.grouppanel': 'npm:@mescius/wijmo.grid.grouppanel/index.js',
'@mescius/wijmo.grid.multirow': 'npm:@mescius/wijmo.grid.multirow/index.js',
'@mescius/wijmo.grid.transposed': 'npm:@mescius/wijmo.grid.transposed/index.js',
'@mescius/wijmo.grid.transposedmultirow': 'npm:@mescius/wijmo.grid.transposedmultirow/index.js',
'@mescius/wijmo.grid.pdf': 'npm:@mescius/wijmo.grid.pdf/index.js',
'@mescius/wijmo.grid.sheet': 'npm:@mescius/wijmo.grid.sheet/index.js',
'@mescius/wijmo.grid.xlsx': 'npm:@mescius/wijmo.grid.xlsx/index.js',
'@mescius/wijmo.grid.selector': 'npm:@mescius/wijmo.grid.selector/index.js',
'@mescius/wijmo.grid.cellmaker': 'npm:@mescius/wijmo.grid.cellmaker/index.js',
'@mescius/wijmo.nav': 'npm:@mescius/wijmo.nav/index.js',
'@mescius/wijmo.odata': 'npm:@mescius/wijmo.odata/index.js',
'@mescius/wijmo.olap': 'npm:@mescius/wijmo.olap/index.js',
'@mescius/wijmo.rest': 'npm:@mescius/wijmo.rest/index.js',
'@mescius/wijmo.pdf': 'npm:@mescius/wijmo.pdf/index.js',
'@mescius/wijmo.pdf.security': 'npm:@mescius/wijmo.pdf.security/index.js',
'@mescius/wijmo.viewer': 'npm:@mescius/wijmo.viewer/index.js',
'@mescius/wijmo.xlsx': 'npm:@mescius/wijmo.xlsx/index.js',
'@mescius/wijmo.undo': 'npm:@mescius/wijmo.undo/index.js',
'@mescius/wijmo.interop.grid': 'npm:@mescius/wijmo.interop.grid/index.js',
'@mescius/wijmo.touch': 'npm:@mescius/wijmo.touch/index.js',
'@mescius/wijmo.cloud': 'npm:@mescius/wijmo.cloud/index.js',
'@mescius/wijmo.barcode': 'npm:@mescius/wijmo.barcode/index.js',
'@mescius/wijmo.barcode.common': 'npm:@mescius/wijmo.barcode.common/index.js',
'@mescius/wijmo.barcode.composite': 'npm:@mescius/wijmo.barcode.composite/index.js',
'@mescius/wijmo.barcode.specialized': 'npm:@mescius/wijmo.barcode.specialized/index.js',
'jszip': 'npm:jszip/dist/jszip.js',
'bootstrap.css': 'npm:bootstrap/dist/css/bootstrap.min.css',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'js'
},
"node_modules": {
defaultExtension: 'js'
},
}
});
})(this);

ここでは、BOM(部品表)2サンプルを作成する際のポイントを紹介します。
BOM(部品表)2の詳細
BOM(部品表)2サンプルでは、次のコントロールを利用してそれぞれのデータを可視化しています。
FlexGridおよびTreeViewによりデータの可視化します。
TreeViewでは、selectedItemChangedイベントを利用して、選択されているツリーのアイテムとデータを持つグリッドの行を選択するようにしています。
AutoCompleteを利用して、TreeView内のアイテム検索します。
AutoCompleteのselectedIndexChangedイベントを利用して、AutoCompleteの選択項目に合わせて、TreeViewの選択項目も連動するようにしています。
FlexGridFilterを利用して、Excelライクな検索を提供します。
import 'bootstrap.css';
import '@mescius/wijmo.styles/wijmo.css';
import './styles.css';
import '@angular/compiler';
import { Component, enableProdMode, ViewChild, ɵresolveComponentResources } from '@angular/core';
import { BrowserModule, bootstrapApplication } from '@angular/platform-browser';
import { FlexGrid, CellRange } from '@mescius/wijmo.grid';
import { TreeView } from '@mescius/wijmo.nav';
import { AutoComplete } from '@mescius/wijmo.input';
import { WjGridModule } from '@mescius/wijmo.angular2.grid';
import { WjGridFilterModule } from '@mescius/wijmo.angular2.grid.filter';
import { WjNavModule } from '@mescius/wijmo.angular2.nav';
import { WjInputModule } from '@mescius/wijmo.angular2.input';
import { getGridData, getData } from './data';
@Component({
standalone: true,
imports: [WjGridModule, WjGridFilterModule, WjNavModule, WjInputModule, BrowserModule],
selector: 'app-component',
templateUrl: 'src/app.component.html'
})
export class AppComponent {
treeData: any[];
gridData: any[];
searchList: any[];
checked: boolean;
constructor() {
this.treeData = getData();
this.gridData = getGridData();
this.checked = false;
}
@ViewChild('grid', { static: true }) grid: FlexGrid;
@ViewChild('tree', { static: true }) tree: TreeView;
@ViewChild('search', { static: true }) search: AutoComplete;
ngAfterViewInit() {
this.searchList = this.getSearchList(this.tree.itemsSource);
setTimeout(()=>{
this.search.selectedIndex = -1;
this.tree.selectedItem = null;
})
}
gridInitialized() {
this.grid.formatItem.addHandler(function (s, e) {
if (e.panel == s.rowHeaders) {
e.cell.innerHTML = '<div >' + (e.row + 1) + '</div>';
}
});
}
onSelectedItemchanged(tree: any) {
if (this.checked) {
let rowIndex = this.grid.rows.findIndex((row: any) => row.dataItem.productCode === this.tree.selectedItem.productCode);
if (rowIndex > -1) {
this.grid.select(new CellRange(rowIndex, 0, rowIndex, this.grid.columns.length), true);
}
}
}
onSelectedIndexChanged() {
if (this.search.selectedItem) {
this.tree.selectedItem = this.search.selectedItem.item;
}
}
onClick() {
this.checked = !this.checked;
}
getSearchList = (items: any[], searchList?: any[], path?: any) => {
// set defaults
if (searchList == null)
searchList = [];
if (path == null)
path = '';
// add items and sub-items
for (let i = 0; i < items.length; i++) {
let item = items[i];
searchList.push({
item: item,
path: path + item.header,
keywords: item.keywords
});
if (item.items) {
this.getSearchList(item.items, searchList, path + item.header + '/');
}
}
return searchList;
}
}
enableProdMode();
// Resolve resources (templateUrl, styleUrls etc), After resolution all URLs have been converted into `template` strings.
ɵresolveComponentResources(fetch).then(() => {
// Bootstrap application
bootstrapApplication(AppComponent).catch(err => console.error(err));
});
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<title>MESCIUS Wijmo BOM Example2</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<!-- Polyfills -->
<script src="node_modules/core-js/client/shim.min.js"></script>
<script src="node_modules/zone.js/fesm2015/zone.min.js"></script>
<!-- SystemJS -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.21.5/system.src.js" integrity="sha512-skZbMyvYdNoZfLmiGn5ii6KmklM82rYX2uWctBhzaXPxJgiv4XBwJnFGr5k8s+6tE1pcR1nuTKghozJHyzMcoA==" crossorigin="anonymous"></script>
<script src="systemjs.config.js"></script>
<script>
// workaround to load 'rxjs/operators' from the rxjs bundle
System.import('rxjs').then(function (m) {
System.set(SystemJS.resolveSync('rxjs/operators'), System.newModule(m.operators));
System.import('./src/app.component');
});
</script>
</head>
<body>
<app-component></app-component>
</body>
</html>
<div class="container-fluid">
<div class="lists form-inline well">
<label for="search">ツリービューの検索: </label>
<wj-auto-complete #search
id="search"
[(itemsSource)]="searchList"
displayMemberPath="path"
searchMemberPath="keywords"
(selectedIndexChanged)="onSelectedIndexChanged()"></wj-auto-complete>
<br />
<input type="checkbox" value="checked" (click)="onClick()"> ツリービューの選択されているデータをグリッドでも選択します。
</div>
<div class="dataList">
<wj-tree-view #tree
[itemsSource]="treeData"
(selectedItemChanged)="onSelectedItemchanged(tree)"
class="custom-tree"
[displayMemberPath]="'header'"
[childItemsPath]="'items'"
[autoCollapse]="false"
[imageMemberPath]="'img'"
></wj-tree-view>
<wj-flex-grid #grid (initialized)="gridInitialized()" [(itemsSource)]="gridData" [autoGenerateColumns]="false" >
<wj-flex-grid-filter #filter></wj-flex-grid-filter>
<wj-flex-grid-column binding="productCode" header="コード" ></wj-flex-grid-column>
<wj-flex-grid-column binding="name" header="名称" ></wj-flex-grid-column>
<wj-flex-grid-column binding="category" header="区分" ></wj-flex-grid-column>
<wj-flex-grid-column binding="quantity" header="発注数" ></wj-flex-grid-column>
<wj-flex-grid-column binding="unitPrice" header="単価" format="c" ></wj-flex-grid-column>
<wj-flex-grid-column binding="supplier" header="名称" ></wj-flex-grid-column>
<wj-flex-grid-column binding="date" header="発注日" ></wj-flex-grid-column>
<wj-flex-grid-column binding="others" header="備考" ></wj-flex-grid-column>
</wj-flex-grid>
</div>
<p>このデモサイトではBootstrap Iconsを利用しています。</p>
<p>Copyright (c) 2011-2024 The Bootstrap Authors</p>
<a href="https://github.com/twbs/bootstrap/blob/main/LICENSE" target="_blank" >Bootstrap Iconsのライセンス</a>
</div>
.dataList {
display: flex;
flex-direction: row;
height: 350px;
}
.msg {
text-align: right;
color: orange;
}
.wj-treeview {
width: 250px;
border: 1px solid rgba(0,0,0,0.2);
}
body {
margin-bottom: 24pt;
}
.custom-tree.wj-treeview .wj-node {
position: relative;
}
.custom-tree.wj-treeview .wj-node::after {
content: '';
position: absolute;
bottom: 0;
left: -100px;
right: -100px;
border-bottom: 1px solid #a0a0a0;
}
.wj-treeview {
width: 300px;
border: 1px solid rgba(0,0,0,0.2);
}
.wj-combobox{
width: 400px;
}
.wj-treeview .wj-node.wj-state-selected{
background: #0085c7;
color: #fff;
}
.wj-cell.wj-alt {
background: #e5f8ff;
}
(function (global) {
SystemJS.config({
transpiler: './plugin-typescript.js',
typescriptOptions: {
"target": "ES2022",
"module": "system",
"emitDecoratorMetadata": true,
"experimentalDecorators": true,
},
baseURL: 'node_modules/',
meta: {
'typescript': {
"exports": "ts"
},
'*.css': { loader: 'systemjs-plugin-css' },
'*.mjs': {
format: 'esm'
},
},
paths: {
// paths serve as alias
'npm:': ''
},
packageConfigPaths: [
'/node_modules/*/package.json',
"/node_modules/@angular/*/package.json",
"/node_modules/@mescius/*/package.json"
],
map: {
'core-js': 'https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js',
'typescript': 'https://cdnjs.cloudflare.com/ajax/libs/typescript/5.2.2/typescript.min.js',
"rxjs": "https://cdnjs.cloudflare.com/ajax/libs/rxjs/7.8.1/rxjs.umd.min.js",
'systemjs-plugin-css': 'https://cdn.jsdelivr.net/npm/systemjs-plugin-css@0.1.37/css.js',
'@mescius/wijmo': 'npm:@mescius/wijmo/index.js',
'@mescius/wijmo.input': 'npm:@mescius/wijmo.input/index.js',
'@mescius/wijmo.styles': 'npm:@mescius/wijmo.styles',
'@mescius/wijmo.cultures': 'npm:@mescius/wijmo.cultures',
'@mescius/wijmo.chart': 'npm:@mescius/wijmo.chart/index.js',
'@mescius/wijmo.chart.analytics': 'npm:@mescius/wijmo.chart.analytics/index.js',
'@mescius/wijmo.chart.animation': 'npm:@mescius/wijmo.chart.animation/index.js',
'@mescius/wijmo.chart.annotation': 'npm:@mescius/wijmo.chart.annotation/index.js',
'@mescius/wijmo.chart.finance': 'npm:@mescius/wijmo.chart.finance/index.js',
'@mescius/wijmo.chart.finance.analytics': 'npm:@mescius/wijmo.chart.finance.analytics/index.js',
'@mescius/wijmo.chart.hierarchical': 'npm:@mescius/wijmo.chart.hierarchical/index.js',
'@mescius/wijmo.chart.interaction': 'npm:@mescius/wijmo.chart.interaction/index.js',
'@mescius/wijmo.chart.radar': 'npm:@mescius/wijmo.chart.radar/index.js',
'@mescius/wijmo.chart.render': 'npm:@mescius/wijmo.chart.render/index.js',
'@mescius/wijmo.chart.webgl': 'npm:@mescius/wijmo.chart.webgl/index.js',
'@mescius/wijmo.chart.map': 'npm:@mescius/wijmo.chart.map/index.js',
'@mescius/wijmo.gauge': 'npm:@mescius/wijmo.gauge/index.js',
'@mescius/wijmo.grid': 'npm:@mescius/wijmo.grid/index.js',
'@mescius/wijmo.grid.detail': 'npm:@mescius/wijmo.grid.detail/index.js',
'@mescius/wijmo.grid.filter': 'npm:@mescius/wijmo.grid.filter/index.js',
'@mescius/wijmo.grid.search': 'npm:@mescius/wijmo.grid.search/index.js',
'@mescius/wijmo.grid.style': 'npm:@mescius/wijmo.grid.style/index.js',
'@mescius/wijmo.grid.grouppanel': 'npm:@mescius/wijmo.grid.grouppanel/index.js',
'@mescius/wijmo.grid.multirow': 'npm:@mescius/wijmo.grid.multirow/index.js',
'@mescius/wijmo.grid.transposed': 'npm:@mescius/wijmo.grid.transposed/index.js',
'@mescius/wijmo.grid.transposedmultirow': 'npm:@mescius/wijmo.grid.transposedmultirow/index.js',
'@mescius/wijmo.grid.pdf': 'npm:@mescius/wijmo.grid.pdf/index.js',
'@mescius/wijmo.grid.sheet': 'npm:@mescius/wijmo.grid.sheet/index.js',
'@mescius/wijmo.grid.xlsx': 'npm:@mescius/wijmo.grid.xlsx/index.js',
'@mescius/wijmo.grid.selector': 'npm:@mescius/wijmo.grid.selector/index.js',
'@mescius/wijmo.grid.cellmaker': 'npm:@mescius/wijmo.grid.cellmaker/index.js',
'@mescius/wijmo.nav': 'npm:@mescius/wijmo.nav/index.js',
'@mescius/wijmo.odata': 'npm:@mescius/wijmo.odata/index.js',
'@mescius/wijmo.olap': 'npm:@mescius/wijmo.olap/index.js',
'@mescius/wijmo.rest': 'npm:@mescius/wijmo.rest/index.js',
'@mescius/wijmo.pdf': 'npm:@mescius/wijmo.pdf/index.js',
'@mescius/wijmo.pdf.security': 'npm:@mescius/wijmo.pdf.security/index.js',
'@mescius/wijmo.viewer': 'npm:@mescius/wijmo.viewer/index.js',
'@mescius/wijmo.xlsx': 'npm:@mescius/wijmo.xlsx/index.js',
'@mescius/wijmo.undo': 'npm:@mescius/wijmo.undo/index.js',
'@mescius/wijmo.interop.grid': 'npm:@mescius/wijmo.interop.grid/index.js',
'@mescius/wijmo.touch': 'npm:@mescius/wijmo.touch/index.js',
'@mescius/wijmo.cloud': 'npm:@mescius/wijmo.cloud/index.js',
'@mescius/wijmo.barcode': 'npm:@mescius/wijmo.barcode/index.js',
'@mescius/wijmo.barcode.common': 'npm:@mescius/wijmo.barcode.common/index.js',
'@mescius/wijmo.barcode.composite': 'npm:@mescius/wijmo.barcode.composite/index.js',
'@mescius/wijmo.barcode.specialized': 'npm:@mescius/wijmo.barcode.specialized/index.js',
"@mescius/wijmo.angular2.chart.analytics": "npm:@mescius/wijmo.angular2.chart.analytics/index.js",
"@mescius/wijmo.angular2.chart.animation": "npm:@mescius/wijmo.angular2.chart.animation/index.js",
"@mescius/wijmo.angular2.chart.annotation": "npm:@mescius/wijmo.angular2.chart.annotation/index.js",
"@mescius/wijmo.angular2.chart.finance.analytics": "npm:@mescius/wijmo.angular2.chart.finance.analytics/index.js",
"@mescius/wijmo.angular2.chart.finance": "npm:@mescius/wijmo.angular2.chart.finance/index.js",
"@mescius/wijmo.angular2.chart.hierarchical": "npm:@mescius/wijmo.angular2.chart.hierarchical/index.js",
"@mescius/wijmo.angular2.chart.interaction": "npm:@mescius/wijmo.angular2.chart.interaction/index.js",
"@mescius/wijmo.angular2.chart.radar": "npm:@mescius/wijmo.angular2.chart.radar/index.js",
'@mescius/wijmo.angular2.chart.map': 'npm:@mescius/wijmo.angular2.chart.map/index.js',
"@mescius/wijmo.angular2.chart": "npm:@mescius/wijmo.angular2.chart/index.js",
"@mescius/wijmo.angular2.core": "npm:@mescius/wijmo.angular2.core/index.js",
"@mescius/wijmo.angular2.gauge": "npm:@mescius/wijmo.angular2.gauge/index.js",
"@mescius/wijmo.angular2.grid.detail": "npm:@mescius/wijmo.angular2.grid.detail/index.js",
"@mescius/wijmo.angular2.grid.filter": "npm:@mescius/wijmo.angular2.grid.filter/index.js",
"@mescius/wijmo.angular2.grid.grouppanel": "npm:@mescius/wijmo.angular2.grid.grouppanel/index.js",
"@mescius/wijmo.angular2.grid.search": "npm:@mescius/wijmo.angular2.grid.search/index.js",
"@mescius/wijmo.angular2.grid.multirow": "npm:@mescius/wijmo.angular2.grid.multirow/index.js",
"@mescius/wijmo.angular2.grid.sheet": "npm:@mescius/wijmo.angular2.grid.sheet/index.js",
'@mescius/wijmo.angular2.grid.transposed': 'npm:@mescius/wijmo.angular2.grid.transposed/index.js',
'@mescius/wijmo.angular2.grid.transposedmultirow': 'npm:@mescius/wijmo.angular2.grid.transposedmultirow/index.js',
"@mescius/wijmo.angular2.grid": "npm:@mescius/wijmo.angular2.grid/index.js",
"@mescius/wijmo.angular2.input": "npm:@mescius/wijmo.angular2.input/index.js",
"@mescius/wijmo.angular2.olap": "npm:@mescius/wijmo.angular2.olap/index.js",
"@mescius/wijmo.angular2.viewer": "npm:@mescius/wijmo.angular2.viewer/index.js",
"@mescius/wijmo.angular2.nav": "npm:@mescius/wijmo.angular2.nav/index.js",
"@mescius/wijmo.angular2.directivebase": "npm:@mescius/wijmo.angular2.directivebase/index.js",
'@mescius/wijmo.angular2.barcode.common': 'npm:@mescius/wijmo.angular2.barcode.common/index.js',
'@mescius/wijmo.angular2.barcode.composite': 'npm:@mescius/wijmo.angular2.barcode.composite/index.js',
'@mescius/wijmo.angular2.barcode.specialized': 'npm:@mescius/wijmo.angular2.barcode.specialized/index.js',
'bootstrap.css': 'npm:bootstrap/dist/css/bootstrap.min.css',
'jszip': 'https://cdnjs.cloudflare.com/ajax/libs/jszip/3.10.1/jszip.min.js',
'@angular/core': 'npm:@angular/core/fesm2022/core.mjs',
'@angular/core/primitives/signals': 'npm:@angular/core/fesm2022/primitives/signals.mjs',
'@angular/core/primitives/event-dispatch': 'npm:@angular/core/fesm2022/primitives/event-dispatch.mjs',
'@angular/common': 'npm:@angular/common/fesm2022/common.mjs',
'@angular/common/http': 'npm:@angular/common/fesm2022/http.mjs',
'@angular/compiler': 'npm:@angular/compiler/fesm2022/compiler.mjs',
'@angular/platform-browser': 'npm:@angular/platform-browser/fesm2022/platform-browser.mjs',
'@angular/platform-browser-dynamic': 'npm:@angular/platform-browser-dynamic/fesm2022/platform-browser-dynamic.mjs',
'@angular/http': 'npm:@angular/http/fesm2022/http.mjs',
'@angular/router': 'npm:@angular/router/fesm2022/router.mjs',
'@angular/forms': 'npm:@angular/forms/fesm2022/forms.mjs',
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
"./src": {
defaultExtension: 'ts'
},
"node_modules": {
defaultExtension: 'js'
},
wijmo: {
defaultExtension: 'js',
}
}
});
})(this);